Create Transaction Route
curl --request POST \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"description": "Settlement route for service charges",
"operationRoutes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "Charge Settlement"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes"
payload := strings.NewReader("{\n \"metadata\": {},\n \"description\": \"Settlement route for service charges\",\n \"operationRoutes\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"title\": \"Charge Settlement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {},
description: 'Settlement route for service charges',
operationRoutes: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
title: 'Charge Settlement'
})
};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes"
payload = {
"metadata": {},
"description": "Settlement route for service charges",
"operationRoutes": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"title": "Charge Settlement"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"description": "Settlement route for service charges",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationRoutes": [
{
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"account": {
"ruleType": "alias",
"validIf": "<unknown>"
},
"accountingEntries": {
"block": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"cancel": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"commit": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"crossLedger": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"direct": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"hold": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"overdraft": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"revert": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"unblock": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
}
},
"code": "EXT-001",
"description": "This operation route handles cash-in transactions from service charge collections",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationType": "source",
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Cashin from service charge"
}
],
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Charge Settlement"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Create Transaction Route
POST
/
v2
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transaction-routes
Create Transaction Route
curl --request POST \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"description": "Settlement route for service charges",
"operationRoutes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "Charge Settlement"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes"
payload := strings.NewReader("{\n \"metadata\": {},\n \"description\": \"Settlement route for service charges\",\n \"operationRoutes\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"title\": \"Charge Settlement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {},
description: 'Settlement route for service charges',
operationRoutes: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
title: 'Charge Settlement'
})
};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes"
payload = {
"metadata": {},
"description": "Settlement route for service charges",
"operationRoutes": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"title": "Charge Settlement"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"description": "Settlement route for service charges",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationRoutes": [
{
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"account": {
"ruleType": "alias",
"validIf": "<unknown>"
},
"accountingEntries": {
"block": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"cancel": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"commit": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"crossLedger": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"direct": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"hold": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"overdraft": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"revert": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"unblock": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
}
},
"code": "EXT-001",
"description": "This operation route handles cash-in transactions from service charge collections",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationType": "source",
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Cashin from service charge"
}
],
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Charge Settlement"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Ledger ID (UUID)
Body
application/json
Response
Created
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"Settlement route for service charges"
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Example:
"Charge Settlement"
Was this page helpful?

